<!DOCTYPE html>
<html>

<head>
    <title>Class 4</title>
    <link href="./class.css" rel="stylesheet" />
    <script>
        // function btnClick(a, b) {
        //     // alert("Button Clicked");
        //     var b = 1;
        //     // var b = 3;
        //     // var c = a + b;
        //     // alert(c);
        //     b = 4;
        //     const a = 3;
        //     // a = 9;
        //     let c = "Anything";
        //     document.getElementById("divName").innerHTML = "My Name is Praveen";
        //     document.getElementById("divName").style.fontSize = "40px";

        //     // console.log(document.getElementById("divName"));
        //     // console.log(document.getElementsByClassName("divClass"));
        // }


        const btnClick = (a, b) => {
            document.getElementById("divName").innerHTML = "My Name is Praveen";
            const c = 5; // integer
            const d = "5"; // string

            const integer = 10;
            const string = "asdasda";
            'asdasdasdasd'
            const bool = true; // false 0 / 1
            const float = 10.5952;
            const arr = [1, "asas", 3, true, ["asas", 12]];
            const obj = {
                "key": 1,
                "name": "praveen"
            }

            // var a = null;
            // Array
            // Object
            // undefined
            // null

            a = a + 3;
            a += 3;
            a++;
            console.log(10 % 3);
            console.log(a);
            console.log(true && false);
            console.log(true || false);
            2 == 5 ? console.log("Bitlab") : console.log("Academy");
            typeof (5); //integer
            // console.log(a * b);
            // console.log(a + b);
            // console.log(a / b);
            // console.log(a - b);
            // console.log(a > b); //a < b
            // console.log(c == d); //true
            // console.log(c === d); //false
        }

        const clickThis = () => {
            const a = "Bitlab Academy";
            const b = " Course"
            // a = a + " Academy"
            // console.log(a.length, a.trim()); // Bitlab Academy
            console.log(a.lastIndexOf("z"), a.indexOf("q")); // Returns of the position of the string in a given string
            console.log(a.substr(2, 3)); // Returns a substring first parameter is where to cut and second parameter is how many characters to take
            console.log(a.replace("a", "p")); // Replaces the given characters in a string at first occurence
            console.log(a.concat(b).concat("asass")); // Attaches to the string at the last
            console.log(a.split("a")); // Splits the given string wherever the given parameter is there and returns an array.
        }

        function inpChange(ev) {
            console.log(ev);
        }

        let blockNumber = 0;

        const blockClick = () => {
            document.getElementsByClassName("blackDiv")[0].style.display = "inline-block";
            document.getElementsByClassName("redDiv")[0].style.display = "inline-block";
            blockNumber == 0 ? (document.getElementsByClassName("redDiv")[0].style.display = "none") :
                document.getElementsByClassName("blackDiv")[0].style.display = "none";
            blockNumber == 0 ? blockNumber = 1 : blockNumber = 0;
        }
    </script>
</head>

<body>
    <h1>Class 4</h1>
    <div id="divName">My Name is Division</div>

    <div class="divClass">CLass 1</div>
    <div class="divClass">CLass 2</div>
    <div class="divClass">CLass 3</div>

    <button id="btnClick" onclick="btnClick(6,3)">Click Me</button>

    <div onclick="clickThis()">
        Click Me Too
    </div>

    <input id="inpText" placeholder="text" oninput="inpChange(this.value)" />

    <div class="blackDiv block">
        1st Division
    </div>

    <div class="redDiv block">
        2nd Division
    </div>
    <button onclick="blockClick()">
        Toggle
    </button>
</body>

</html>